import { ID } from '@zeniai/client-epic-state';
import * as React from "react";
export declare const QuickViewStoryPanel: import('@emotion/styled').StyledComponent<{
    theme?: import('@emotion/react').Theme;
    as?: React.ElementType;
} & {
    $variant: "light" | "dark";
}, React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare function transactionDetailPageQuickViewCommonProps(): {
    onDeleteAttachment: import('storybook/actions').HandlerFunction;
    firstMonthOfFY: 1;
    isCOTEnabled: boolean;
    transactionAttachmentEndpointToDownload: string;
    transactionAttachmentsEndpointToFetch: string;
    attachmentUploadEndpoint: string;
    authParams: {
        userId: string;
        sessionId: string;
        tenantId: string;
    };
    onBackClick: import('storybook/actions').HandlerFunction;
    onTransactionClick: import('storybook/actions').HandlerFunction;
    onUploadAttachmentAttachment: import('storybook/actions').HandlerFunction;
    onUpdateAllChecked: import('storybook/actions').HandlerFunction;
    autoCompleteActions: {
        onAutoCompleteInputChange: import('storybook/actions').HandlerFunction;
        onAutoCompleteEntity: import('storybook/actions').HandlerFunction;
        onCancelAutoComplete: import('storybook/actions').HandlerFunction;
        onLoadOptions: import('storybook/actions').HandlerFunction;
    };
    autoCompleteData: {
        entityAutoCompleteView: import('@zeniai/client-epic-state').EntityAutoCompleteView;
        autoCompleteText: string;
    };
    enableBackClickOnSave: boolean;
    isVendorBulkUpdateOnTransactionEnabled: boolean;
    onClickUpdateVendorToAllLineItems: import('storybook/actions').HandlerFunction;
    onResetVendorToAllLineItems: import('storybook/actions').HandlerFunction;
    saveLatestSelectedEntity: import('storybook/actions').HandlerFunction;
    updateVendorBulkRecommendationsFetchStatus: import('storybook/actions').HandlerFunction;
    setIsVendorUpdateAllChecked: import('storybook/actions').HandlerFunction;
};
interface TransactionDetailPageQuickViewShellProps {
    readonly $variant: "light" | "dark";
    readonly children: React.ReactNode;
    readonly selectedTransactionId: ID | undefined;
}
export declare function TransactionDetailPageQuickViewShell({ $variant, children, selectedTransactionId, }: TransactionDetailPageQuickViewShellProps): import("react/jsx-runtime").JSX.Element;
export {};
